#  (C) 2002 The UbixOS Project
#  $Id$

# Include Global 'Source' Options
include ../../../Makefile.inc
include ../../Makefile.inc

#  Objects
OBJS = inet.o mem.o memp.o netif.o pbuf.o stats.o sys.o tcp.o tcp_input.o tcp_output.o udp.o ip.o icmp.o ip_addr.o 

all: $(OBJS)

#  Compile Types
.cc.o:
	$(CXX) ${CFLAGS} -fno-exceptions -DNOBOOL -Wall -fomit-frame-pointer -O -I../../include -c -o $@ $<
.cc.s:
	$(CXX) ${CFLAGS} -fno-exceptions -DNOBOOL -Wall -fomit-frame-pointer -O -I../../include -S -o $@ $<
.c.o:
	$(CC) ${CFLAGS} -Wall -fomit-frame-pointer -O -I../../include -c -o $@ $<
.c.s:
	$(CC) ${CFLAGS} -Wall -fomit-frame-pointer -O -I../../include -S -o $@ $<
.S.o:
	$(CC) ${CFLAGS} -Wall -fomit-frame-pointer -c -o $@ $<

# Clean up the junk
clean:
	$(REMOVE) $(OBJS)
